commit:     084870d5158c5b8122653844d3f202321c36455a
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 30 17:32:35 2017 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Mon Jan 30 17:33:26 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=084870d5

media-sound/qmpdclient: EAPI 6

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 media-sound/qmpdclient/qmpdclient-1.2.2-r2.ebuild | 40 +++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/media-sound/qmpdclient/qmpdclient-1.2.2-r2.ebuild 
b/media-sound/qmpdclient/qmpdclient-1.2.2-r2.ebuild
new file mode 100644
index 00000000..412a266
--- /dev/null
+++ b/media-sound/qmpdclient/qmpdclient-1.2.2-r2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit fdo-mime cmake-utils
+
+DESCRIPTION="QMPDClient with NBL additions, such as lyrics' display"
+HOMEPAGE="http://bitcheese.net/wiki/QMPDClient";
+SRC_URI="http://dump.bitcheese.net/files/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug"
+
+DEPEND="dev-qt/qtdbus:4
+       dev-qt/qtgui:4
+       dev-qt/qtwebkit:4
+       dev-qt/qtxmlpatterns:4"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${PN}
+
+DOCS=( AUTHORS README THANKSTO )
+PATCHES=( "${FILESDIR}"/${P}-qt48.patch )
+
+src_prepare() {
+       sed -i -e "/^Categories/s/Network/AudioVideo/" ${PN}.desktop || die
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=( "-DVERSION=${PV}" )
+       cmake-utils_src_configure
+}
+
+pkg_postinst() { fdo-mime_desktop_database_update; }
+pkg_postrm() { fdo-mime_desktop_database_update; }

Reply via email to